2019-06-25 03:26 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002384NetSurfRISC OS-specificpublic2017-01-22 11:37
ReporterJohn Rickman 
Assigned ToJohn-Mark Bell 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonixOSRISC OSOS Version5.21
Product Version3.2 
Target Version3.4Fixed in Version3.4 
Summary0002384: simple html page slow to render
DescriptionGaydon online parish magazine is a single HTML file which references a common CSS file.

It takes on average 31 seconds to load and display a magazine using NetSurf #3055. Javascript on or off makes no difference.

Using NetSurf 3.2 the page load is instantaneous.
 

Steps To Reproduceclick on a smaple entry on the problem page URL and time it
   http://www.gaydon.org.uk/mags.html

repeat with version 3.2 and compare.
TagsNo tags attached.
Fixed in CI build #3062
Reported in CI build #3055
URL of problem pagehttp://www.gaydon.org.uk/mags.html
Attached Files

-Relationships
related to 0002511closed Some BBC News URLs usually fail to fetch and render 
+Relationships

-Notes
David Pitt

~0001036

David Pitt (reporter)

Confirmed here with #3055 on an Iyonix OS5.22 and RPi OS5.23 (03Nov15) but it is all good on NetSurf 2.9 on Mac VRPC at 0.2s. log uploaded.
David Pitt

~0001037

David Pitt (reporter)

(41.390000) render/html_css.c:110 html_convert_css_callback:
stylesheet http://www.gaydon.org.uk/css/pcminutes.css failed: Timeout
was reached

http://www.gaydon.org.uk/css/pcminutes.css is "Not Found".
Harriet Bazley

~0001038

Harriet Bazley (reporter)

Various people testing on various past builds have narrowed this down to an issue introduced somewhere between 0002489 (almost instantaneous) and 0002509 (slow).
David Pitt

~0001039

David Pitt (reporter)

An error in the HTML has now been corrected, the reference to the missing pcminutes.css file has been removed. However another css file, that is present, appears to be also timing out.

(41.650000) render/html_css.c:110 html_convert_css_callback: stylesheet http://www.gaydon.org.uk/css/swiss.css failed: Timeout was reached

A second log has been uploaded.
Dave Higton

~0001044

Dave Higton (developer)

What is cURL response code 28?
David Pitt

~0001045

David Pitt (reporter)

cURL 28 is timeout reached.

http://curl.haxx.se/libcurl/c/libcurl-errors.html
Dave Higton

~0001046

Dave Higton (developer)

Last edited: 2015-11-08 22:42

View 2 revisions

The 2015-10 link still refers in some way to pcminutes.css so the solution applied is not universal.

In NS Choices, Connection, reducing the Fetching settings from 24-5-6 to e.g. 4-2-2 gets the 2015-11 mag in 0.6 seconds.

David Pitt

~0001047

David Pitt (reporter)

Last edited: 2015-11-08 22:40

View 2 revisions

The slow 30s fetches are something of a first time around effect, close the window and a second fetch comes in at typically 0.3s.

Tweaking the Fetch settings didn't help here.

Dave Higton

~0001048

Dave Higton (developer)

Apologies. Fetching the 2015-11 mag was already fixed by removing the reference to pcminutes.css
Dave Higton

~0001049

Dave Higton (developer)

Last edited: 2015-11-09 22:08

View 2 revisions

LogCapture is a log of an attempt to download the 2015-10 magazine. capture2.pcap is a wiresalmon capture, slightly edited in Wireshark to remove irrelevant packets.

The Iyonix is 192.168.16.51, the gateway is 192.168.16.1

Dave Higton

~0001050

Dave Higton (developer)

LogCurl.zip is a log of an attempt to fetch the 2015-10 mag with suppress_curl_debug:0 in NS's Choices file
Vincent Sanders

~0001051

Vincent Sanders (administrator)

ok from the log with curl debug

(9.950000) render/html_css.c:400 html_css_process_link: linked stylesheet 4 'http://www.gaydon.org.uk/css/pcminutes.css'
(9.950000) content/llcache.c:1349 llcache_process_metadata: Retriving metadata
(9.950000) content/fs_backing_store.c:889 get_store_entry: url:http://www.gaydon.org.uk/css/pcminutes.css
(9.950000) content/fs_backing_store.c:897 get_store_entry: Failed to find ident 0xb3db6836 in index
(9.950000) content/fs_backing_store.c:1923 fetch: entry not found
(9.950000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x7b058750, url 'http://www.gaydon.org.uk/css/pcminutes.css'


but then nothing happens on that fetch until

(40.090000) content/fetchers/curl.c:834 fetch_curl_done: done http://www.gaydon.org.uk/css/pcminutes.css
(40.090000) content/fetchers/curl.c:872 fetch_curl_done: Unknown cURL response code 28
(40.090000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x7b058750, url 'http://www.gaydon.org.uk/css/pcminutes.css'
(40.090000) render/html_css.c:110 html_convert_css_callback: stylesheet http://www.gaydon.org.uk/css/pcminutes.css failed: Timeout was reached

the wireshark indicates no TCP connection is ever attempted!
Vincent Sanders

~0001052

Vincent Sanders (administrator)

John Rickman Iyonix <rickman@argonet.co.uk> states

The problem was introduced between 28/11/2014 and 6/01/2015.
(0002398) is fast, (0002509) is slow.

nothing in the git log is even remotely relevant

git log --since="2014-11-28" --until="2015-1-6"

b91d5f3ac73e43ad7daa2d1960b4e9e8239cde2f Fix the passing of NetSurf internally-handled args to the core
5464dc777828af12577343939e504e73b3ee4d9c Ensure no division by zero occours if no time has ever been spent writing l
f9ccd65545ad810834dcbd4cc9abae489375d245 Translate common RAmiga-shortcuts directly to their NetSurf keycodes
4cc37460841c13ec5c5a44eb5256ee27073c4c4a Make URL field for copying to clipboard.
78b2da934f96d0fdfed8a6366ea537498ac2d3c2 Mark URL field for copying to clipboard.
eb86217ead389050e76946b7be976b9147b16a52 Add ability to copy text from marked fields in selected nodes to clipboard.
21d5d30571dc3bd1b51999bcadfbb30d38d8336d Fix typo in comment.
a10aaea9893976889746dfd984b3e3db061e198c Greatly simplify finding out if our gui_window is the one being displayed.
c45be2ecf42b45fe127522ef7fb149d4bcfdf916 Handle failure to remove or rename.
6ffab5885de60e984d7e82615a0d47588b2e428d Don't free temp_path just before its used.
94bcb4611834b13e01b51cc8a677bf7ef93eaf0b Add French messages translations from qwebirc92123
27ea134be4740c7e9ec34a18a942676ba9b03be7 RISC OS filenames can't contian '.'
e31ae2c5a12df0e14d93adca2b83adfe6939bb0b Make saving hotlist safer.
8df033357721f62064e4f80850d37d44070530e1 Ensure buildsystem is built before everything else.
6b645664fe9c8f8d8a46493a6e00ef32b753a642 add missing includes
5eefe0016384c85d1d09409d65d79f1f41208adb remove unecessary includes from gtk gui
cdd7f2f950b82dbf1921e6ac9c67ad899ad3e143 allow for framebuffer command line parsing to cope with unknown long option
871c14693e084d4b6ce6ac1786dd08a124185bb6 change the framebuffer frontend way of disabling the toolbar
6fa388d862dc5394744e884ab168c70a8918dfbc Update gtk manpage to mandoc format which is more portable
959af3dc28308c72373ab49175975f4cbe5500e9 Add XDG desktop file for GTK frontend
b2533b56729fbcafc63736012b031f040dcffd21 Add man pages for framebuffer and gtk frontends
e467077a21843f030749319f0ab591d5cc67c30b move host based default settings to core as tehy are not frontend dependant
193a5c80b7afe4d3fe52947b5ba9e31b4e470361 ensure gtk build on freebsd uses the correct iconv
2d58f8360eefb2a12cf6528406d91a748e789495 jenkins helper script quoting in shell wilidcard case was wrong
3f331a701ab1bd05b5f41b87733d37abbd526df4 add freebsd to jenkins build script for gtk, framebuffer and monkey
8e60d32831fae4934836da2f760b8026ce6c2d2d remove some warnings from freebsd build
c6ada5c089c4c3649dbf2651386b016e2335c8ba Cope with freebsd gdk paths
3d514d5334f4922762c144953217e96eeb3a8c86 do not exit on error from env script
0e7a8aba9ce54dd9371a32ada888f6ff8472e746 Improve env script packe install for freebsd
d8c3efc3e8eebeb40c10291e92d1bc09eebafc14 update env script for freebsd using gmake
facaa0a8292091074ceaf3558ea1b938e23ac213 Some OS3 compatibility for testing
6684b938e24a4a11e45310ca2140b46c7c23a961 Update the coverity build script for buildsystem HOST/BUILD changes
876b6cbeb0eaf718f17bdbadf37182cb72730d81 fix BUILD/HOST usage to work with fixed buildsystem
ef43be99895f9da0fed1806432fd23dc9f12d36e Fix crash on startup when "always show tabs" is enabled.
7beb6b0bd555f5180d2a5da423e92430f258ffcb Helper script to open YouTube videos with SMTube
dec0ec6ade2c89caf57959385589b9b340c45aac Remove GetVideo support It appears to be a dead project and no longer avail
d46e6a6894de7450f8fd1e9ea474a1240ad206d0 Encourage requesters onto the correct screen and remove some unneeded inclu
17ec567266c6c62672aa729b0488c61c45b5d376 Remove redundant check
3b10dbe793c7413769e6e5912e43161bb9762a06 Document the core browser options and clarify Choices location for fb
45f98ffd6e6230189a06a042b981592cdae613be improve comments in low level cache and remove completed todo
0166083584ba8c909ff3518661648334ad9f53cf Get scale after memory allocated
19fed3976fd3c7070abe82481d353be5f90977da Don't need browser window private header now.
f0b38f27d4fb6fe8b403f6780e81bb5e0c383858 Use API to get at a browser window's content.
60877b6ff5d0b552197e8e07075934294563fe58 Fix missmatched bracket.
4af70cd1ac87b1fe02c3783950454c5733b9a0c7 Use browser_window_get_extents to simplify window content size handling.
fad6318d59fca6f8457f099ef5a3c1b03ff8544f Use browser_window_get_url()
b7b1bfe54865fd3e1d52f96e6f424961771a7eef Don't include browser_private.h
c5a8620ef98c09cd7a62955b80edffbe2be38d88 Remove what seems a redundant check for bw->download.
84261a8199b883dd562f3ba7301d432a59df7253 Use browser_window_get_url instead of poking inside bw at contents.
c4e37fb03dc416c42283215b6f227445cbe43ae9 Use API to get content from browser_window.
e4437ad76b175e7ed19551e70ebae45d156a7154 Store scale in gui_window. Remove a lot of bw dereferencing for scale.
5bf4b3ff2bf0c60faf7b98235eb34f51e98b843f move the low bandwidth check to allow for an average over a much longer tim
0f6f0a01698dd8c68e377718cc99ba9327da0b81 Improve message split generation
57cd5c77b2f5e685b35dae6374bb7f5a168c52c9 Use translated messgae for low bandwidth error
dd9a4af311d652d29e74d4bba1e0a3526a4002da Remove unused variable
5f9c8b02b278f88bfc90adf58fb27867d72df249 Clear message port variable so we don't errorneously send messages to it.
020e1f827241b23ea51017f015a224b7465fa347 Run backing store jobs synchronously in the background.
2f41c1ad11e3cafc50922f5a67bca98fd91d5ef4 Fix leak
c9ee49baa8bbf39bfe1ee619b7c9810a1e4f3256 cope with backing store writeout making no progress
ba5ade87b2fe5a3c4a4153f0d5a8f73eb04048aa ensure the backing store write reports at least a minimal amount of time
ca74e0060d4baea2f22714c36f17a2017b683631 release gadget allocation on error path (Coverity 1109875)
1c735140b679c53d98110ef28c7be0f3909eb526 fix resource leak on error (Coverity 1256245)
6a2461da8d474a994a69c9b1f7cc9de8afdc3015 Enable the async write process to be disabled for testing purposes
9bc07e8d8f20a81b2afbff63cf287e5a2ec3b4c8 make coverity build script use updated environment variables
61ab2777daf33e858c60f712758493720dcbd3ed Improve writeout rescheduling if list of objects is completed quickly
d08acbc5ae45feee602307c278c8bfe3a4bd3bfd correctly calculate writeout bandwidth and properly impose limits
70e777c30d7eeeb28591ca7769100059808aada8 Add some comments about timer.device.
Vincent Sanders

~0001053

Vincent Sanders (administrator)

I have built a version with full fetch logging. I cannot reproduce teh issue under rpcemu if someone can try with this build and upload a logfile
David Pitt

~0001054

David Pitt (reporter)

The issue seems to be somewhat intermittent, a magazine page may take 30secs to load but then after a reboot it can come in at 0.6secs.

Using the full log test NetSurf.

nslog3_djp is from a 30s load of http://www.gaydon.org.uk/mags/mag1510.html

The site home page http://www.gaydon.org.uk with JavaScript is enabled takes 30secs, see nslog4_djp.

Subsquently individual magazines come in at full speed, as does the home page with JavaScript disabled. The individual magazines seems to be JavaScript independent.
John Rickman

~0001055

John Rickman (reporter)

the pattern shown in the doctored extract below is common to nslog3 and nslog4.

(11.580000) render/html_css.c:110 html_convert_css_callback: stylesheet file:///Choices:WWW/NetSurf/User failed: UnacceptableType

*************************** loop *******************
11.58 ..c:249 fetch_dispatch_jobs: queue_ring 0, fetch_ring 1
11.58 ..c:229 dump_rings: fetch_ring: http://code.jquery.com/jquery-1.7.1.js
11.59 ..c:261 fetch_dispatch_jobs: Fetch ring is now 1 elements.
11.59 ..c:262 fetch_dispatch_jobs: Queue ring is now 0 elements.
11.59 ..c:272 fetcher_poll: Polling fetchers
*************** repeats until timeout *********************

41.39..c:272 fetcher_poll: Polling fetchers
* Connection timed out after 30010 milliseconds
Dave Higton

~0001056

Dave Higton (developer)

LogSpecial.zip is yet another log of an attempt to fetch the 2015-10 mag, using the special NS version netsurf-fetch-log.zip. I think it's just confirmation of what we already know.
Daniel Silverstone

~0001058

Daniel Silverstone (administrator)

Hi,

I have committed a change which was built in CI#3057. The change alters the
handling of timed out connections with cURL because there was a pretty janky
behaviour going on in the logs we saw and the pcap provided.

I would appreciate it if anyone who was seeing this bug happen, please acquire
3057 and run it and find out if it fixes things. Given the behaviour we saw
before now, I'd expect to see either a rapid load, or perhaps 10s of delay
before a load.

Thanks,

Daniel.
John Rickman

~0001059

John Rickman (reporter)

Hi Daniel
I have uploaded a log file output from #3057. It is quicker than before. The "missing time" in the log is now 10 seconds instead of 30 seconds.
Short extract from the log:-
.......
(1.510000) render/html_css.c:110 html_convert_css_callback: stylesheet file:///Choices:WWW/NetSurf/User failed: UnacceptableType
(1.510000) render/html_css.c:114 html_convert_css_callback: 1 fetches active

(11.390000) content/fetchers/curl.c:834 fetch_curl_done: done http://code.jquery.com/jquery-1.7.1.js
(11.390000) content/fetchers/curl.c:872 fetch_curl_done: Unknown cURL response code 28
..........
John
Vincent Sanders

~0001060

Vincent Sanders (administrator)

John: you mentioned you have builds 2398 and 2509
Please can we have the contents of about:testament from each version

and the log of a visit to http://www.gaydon.org.uk/mags/mag1510.html from each clearly labeled attached to the bug. thanks
Harriet Bazley

~0001061

Harriet Bazley (reporter)

Not John, but I've uploaded logs from my two copies that 'bridge' the bug, 2387 and 2489. I'm pretty sure that the last time I tried 2489, it seemed to load fast, but when I tried it again just now I got the delay, so I've included that log. (Relevant testaments included in each zip.)
Michael Drake

~0001062

Michael Drake (administrator)

Last edited: 2015-11-11 12:17

View 2 revisions

Please could someone run CI#3059 with suppress_curl_debug:0 set in the Choices file, and submit a log which demonstrates the 10 second pause issue?

David Pitt

~0001063

David Pitt (reporter)

10s pause
#3059
http://www.gaydon.org.uk/mags/mag1510.html
suppress_curl_debug:0
log 3059_djp
John Rickman

~0001064

John Rickman (reporter)

Vincent have uploaded log from 0002398 (fast) and 0002509 (slow).
How do I find, about:testament?

I used the following method to obtain the logs:
Quit NetSurf
Run NS2398
Quit
Invoke NS2398 by double-click on URL
Quit
Save Log

Do the same for NS2509.

NS2398 always loaded quickly (4 tests)
NS2509 sometimes loaded quickly sometimes slowly.
If NS2509 was already running then the double-click opens a second window but was consistently slow.
John
Michael Drake

~0001065

Michael Drake (administrator)

Thanks David Pitt.

For the benefit of other developers, during the time when the failing CSS fetch is waiting to time out, there are many lines like:

content/fetchers/curl.c:1023 fetch_curl_poll: Curl file descriptor states (maxfd=4):
content/fetchers/curl.c:1042 fetch_curl_poll: fd 4: write

It remains in that state until it times out.
Michael Drake

~0001066

Michael Drake (administrator)

John Rickman:

Type "about:testament" as the URL in the URL bar.

You can also visit "about:about" if you want to see what else is there.
John-Mark Bell

~0001068

John-Mark Bell (administrator)

David Pitt/John Rickman,

Please could you perform the same test as before using the netsurf.zip I've just attached to this issue, uploading the resulting log file as before?

Do ensure that suppress_curl_debug:0 is set in the choices file, else the extra debug I want to see will be missing :)

Thanks!
David Pitt

~0001071

David Pitt (reporter)

Done that, nslog5_djp.zip
John Rickman

~0001073

John Rickman (reporter)

nslogs4jmb.zip uploaded containing LogTimeout, LogNoTimeout, and a testament file.
Starting with NS not running, invoke NS from url:mag1510.html.
The first time the page displayed with no delay. the second time there was a 10 timeout.
John-Mark Bell

~0001074

John-Mark Bell (administrator)

Thanks, both. Same again, please, but using the contents of netsurf1.zip!
David Pitt

~0001075

David Pitt (reporter)

nslog6_djp
John Rickman

~0001076

John Rickman (reporter)

nslog4jmb2.zip
Dave Higton

~0001078

Dave Higton (developer)

LogJmb01.zip is with netsurf1.zip on the 1510 mag. Page loaded in just over 10 seconds.

If you want a Wiresalmon trace, just ask!
Michael Drake

~0001082

Michael Drake (administrator)

We believe we have found the cause. John-Mark tracked it down to a buggy version of UnixLib which was closing the wrong sockets.

We've updated GCCSDK to a version with the fix. Please try NetSurf CI#3062 and confirm whether this issue is fixed.
David Pitt

~0001083

David Pitt (reporter)

Sadly not, still seeing 10s here but as previously intermittently. Very approximately one in three will go wrong. Log 3062_djp
John Rickman

~0001084

John Rickman (reporter)

No change. Still timing out after 10000 msecs.
nslog_jr01 - log and testament uploaded
Michael Drake

~0001085

Michael Drake (administrator)

OK, thanks for testing.
Michael Drake

~0001102

Michael Drake (administrator)

Please could you test #3120.
David Pitt

~0001103

David Pitt (reporter)

#3120 does seem to be OK. It has had about 20 faultless runs, previously it would fail at around 1 in 3. Congratulations are in order, that looks to have been hard to diagnose. Many thanks.
Michael Drake

~0001104

Michael Drake (administrator)

Good, it was due to the bug in Unixlib. Our rebuild of the toolchain for #3062 didn't actually work properly.
Vincent Sanders

~0001253

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-11-07 11:56 John Rickman New Issue
2015-11-07 15:23 David Pitt File Added: nslog_djp.zip
2015-11-07 15:24 David Pitt Note Added: 0001036
2015-11-07 20:40 David Pitt Note Added: 0001037
2015-11-08 01:03 Harriet Bazley Note Added: 0001038
2015-11-08 02:14 David Pitt Note Added: 0001039
2015-11-08 02:15 David Pitt File Added: nslog2_djp.zip
2015-11-08 21:05 Dave Higton Note Added: 0001044
2015-11-08 21:38 David Pitt Note Added: 0001045
2015-11-08 22:22 Dave Higton Note Added: 0001046
2015-11-08 22:39 David Pitt Note Added: 0001047
2015-11-08 22:40 David Pitt Note Edited: 0001047 View Revisions
2015-11-08 22:42 Dave Higton Note Edited: 0001046 View Revisions
2015-11-08 22:47 Dave Higton Note Added: 0001048
2015-11-09 22:03 Dave Higton File Added: capture2.pcap
2015-11-09 22:04 Dave Higton File Added: LogCapture.zip
2015-11-09 22:06 Dave Higton Note Added: 0001049
2015-11-09 22:08 Dave Higton Note Edited: 0001049 View Revisions
2015-11-09 22:35 Dave Higton File Added: LogCurl
2015-11-09 22:35 Dave Higton File Deleted: LogCurl
2015-11-09 22:36 Dave Higton File Added: LogCurl.zip
2015-11-09 22:37 Dave Higton Note Added: 0001050
2015-11-09 23:23 Vincent Sanders Note Added: 0001051
2015-11-09 23:23 Vincent Sanders Description Updated View Revisions
2015-11-09 23:23 Vincent Sanders Steps to Reproduce Updated View Revisions
2015-11-09 23:24 Vincent Sanders Status new => confirmed
2015-11-09 23:24 Vincent Sanders Category General => RISC OS-specific
2015-11-09 23:42 Vincent Sanders Note Added: 0001052
2015-11-10 08:02 Vincent Sanders File Added: netsurf-fetch-log.zip
2015-11-10 08:03 Vincent Sanders Note Added: 0001053
2015-11-10 09:37 David Pitt File Added: nslog3_djp.zip
2015-11-10 09:37 David Pitt File Added: nslog4_djp.zip
2015-11-10 09:41 David Pitt Note Added: 0001054
2015-11-10 12:36 John Rickman Note Added: 0001055
2015-11-10 20:17 Dave Higton File Added: LogSpecial.zip
2015-11-10 20:19 Dave Higton Note Added: 0001056
2015-11-10 22:24 Daniel Silverstone Note Added: 0001058
2015-11-10 23:34 John Rickman File Added: log3057a.zip
2015-11-10 23:41 John Rickman Note Added: 0001059
2015-11-11 00:12 Vincent Sanders Note Added: 0001060
2015-11-11 04:04 Harriet Bazley File Added: 2387.zip
2015-11-11 04:04 Harriet Bazley File Added: 2489.zip
2015-11-11 04:05 Harriet Bazley Note Added: 0001061
2015-11-11 11:57 Michael Drake Note Added: 0001062
2015-11-11 12:17 Michael Drake Note Edited: 0001062 View Revisions
2015-11-11 12:36 David Pitt File Added: 3059_djp.zip
2015-11-11 12:38 David Pitt Note Added: 0001063
2015-11-11 12:46 John Rickman File Added: Log2398jr.zip
2015-11-11 12:47 John Rickman File Added: Log2509jr.zip
2015-11-11 12:57 John Rickman Note Added: 0001064
2015-11-11 14:17 Michael Drake Note Added: 0001065
2015-11-11 14:18 Michael Drake Note Added: 0001066
2015-11-11 17:53 John-Mark Bell File Added: netsurf.zip
2015-11-11 17:56 John-Mark Bell Note Added: 0001068
2015-11-11 18:13 John Rickman File Added: testamentsJR.zip
2015-11-11 18:15 David Pitt File Added: nslog5_djp.zip
2015-11-11 18:17 David Pitt Note Added: 0001071
2015-11-11 18:40 John Rickman File Added: nslogs4jmb.zip
2015-11-11 18:44 John Rickman Note Added: 0001073
2015-11-11 19:04 John-Mark Bell File Added: netsurf1.zip
2015-11-11 19:04 John-Mark Bell Note Added: 0001074
2015-11-11 19:14 David Pitt File Added: nslog6_djp.zip
2015-11-11 19:14 David Pitt Note Added: 0001075
2015-11-11 19:38 John Rickman File Added: nslog4jmb2.zip
2015-11-11 19:39 John Rickman Note Added: 0001076
2015-11-11 20:41 Dave Higton File Added: LogJmb01.zip
2015-11-11 20:43 Dave Higton Note Added: 0001078
2015-11-12 17:18 Michael Drake Note Added: 0001082
2015-11-12 17:39 David Pitt File Added: 3062_djp.zip
2015-11-12 17:42 David Pitt Note Added: 0001083
2015-11-12 17:49 John Rickman File Added: nslog_jr01.zip
2015-11-12 17:50 John Rickman Note Added: 0001084
2015-11-12 18:01 Michael Drake Note Added: 0001085
2015-11-18 09:51 Michael Drake Note Added: 0001102
2015-11-18 10:05 David Pitt Note Added: 0001103
2015-11-18 10:18 Michael Drake Note Added: 0001104
2015-11-18 10:19 Michael Drake Fixed in CI build # => 3062
2015-11-18 10:19 Michael Drake Status confirmed => resolved
2015-11-18 10:19 Michael Drake Resolution open => fixed
2015-11-18 10:19 Michael Drake Fixed in Version => 3.4
2015-11-18 10:19 Michael Drake Target Version => 3.4
2015-11-18 13:54 Vincent Sanders Assigned To => John-Mark Bell
2015-11-18 13:54 Vincent Sanders Product Version => 3.2
2016-02-16 14:26 Vincent Sanders Note Added: 0001253
2016-02-16 14:26 Vincent Sanders Status resolved => closed
2017-01-22 11:37 Vincent Sanders Relationship added related to 0002511
+Issue History